EXP(3)

NAME
exp, expf, expl - base-e exponential function

SYNOPSIS
#include <math.h>

double exp(double x);
float expf(float x);
long double expl(long double x);

Link with -lm.

DESCRIPTION
The exp() function returns the value of e (the base of natural logarithms) raised to the power of x.

CONFORMING TO
SVr4, 4.3BSD, C89, C99, POSIX.1-2001. The float and long double variants are C99 requirements.

SEE ALSO
cbrt(3), cexp(3), exp10(3), exp2(3), sqrt(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.